Subject: Re: bug#2732: 23.0.91; Please add support for Objective-C++

From: Alan Mackenzie <[email-masked]>
Date: Thu, 3 Jun 2021 12:39:50 +0000

Hello, Lars.

On Thu, Jun 03, 2021 at 12:07:18 +0200, Lars Ingebrigtsen wrote:
> Glenn Morris <[email-masked]> writes:

> >> That only answers the first question, not the second.  If we put .M and
> >> .mm into CC Mode or auto-mode-alist in Emacs, that implies some sort of
> >> commitment to support the language (Objective-C++).  If Objective-C Mode
> >> already almost supports it properly, that is one thing, but if the match
> >> is less good, it could involve a lot of work.

> > 8 years ago, the comment was "switching to c++-mode or objc-mode does
> > not give satisfactory results". I don't know if anything has changed
> > since. Ref: https://debbugs.gnu.org/2732

> So it doesn't seem like just mapping .mm to objc-mode would give
> satisfactory results, and I'm closing this bug report.

> (If somebody wants to add a real mode for Objective-C++, that can, of
> course, be done.)

Personally, I don't want to spend the time (and the learning effort)
coding up an Objective-C++ Mode.  If anybody else wanted to do this
(most likely as a CC Mode derived mode), which might not be very much
work, I would be prepared to answer questions, and deliver support as
usual.

> -- 
> (domestic pets only, the antidote for overdose, milk.)
>    bloggy blog: http://lars.ingebrigtsen.no

-- 
Alan Mackenzie (Nuremberg, Germany).